summaryrefslogtreecommitdiffstats
path: root/multimedia/tovid
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/tovid')
-rw-r--r--multimedia/tovid/slack-desc2
-rw-r--r--multimedia/tovid/tovid.SlackBuild35
-rw-r--r--multimedia/tovid/tovid.info10
3 files changed, 23 insertions, 24 deletions
diff --git a/multimedia/tovid/slack-desc b/multimedia/tovid/slack-desc
index 66e5b99484..528c88f5ef 100644
--- a/multimedia/tovid/slack-desc
+++ b/multimedia/tovid/slack-desc
@@ -11,7 +11,7 @@ tovid:
tovid: tovid is a collection of GPL video disc authoring tools; it can help
tovid: you create your own DVDs, VCDs, and SVCDs for playback on your home DVD
tovid: player.
-tovid:
+tovid:
tovid: Note: The scripts rely heavily on external tools, please take care that
tovid: all dependencies are met.
tovid:
diff --git a/multimedia/tovid/tovid.SlackBuild b/multimedia/tovid/tovid.SlackBuild
index 4d7363240b..f9f0bbd858 100644
--- a/multimedia/tovid/tovid.SlackBuild
+++ b/multimedia/tovid/tovid.SlackBuild
@@ -15,17 +15,18 @@
#ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
#OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+# modified by Niels Horn <niels.horn@gmail.com> for new python install method
+# Revision date: 2010/07/16
+
PRGNAM=tovid
-VERSION=0.31
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-0.33}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -49,28 +50,25 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 400 -o -perm 440 \) -exec chmod 644 {} \; -o \
- \( -perm 777 -o -perm 775 -o -perm 511 -o -perm 711 -o -perm 555 \) -exec chmod 755 {} \;
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 400 -o -perm 440 \) \
+ -exec chmod 644 {} \; -o \
+ \( -perm 777 -o -perm 775 -o -perm 511 -o -perm 711 -o -perm 555 \) \
+ -exec chmod 755 {} \;
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure --prefix=/usr \
- --localstatedir=/var \
- --mandir=/usr/man \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --build=$ARCH-linux --host=$ARCH-linux || exit 1
+python setup.py install --root=$PKG
-make || exit 1
-make DESTDIR=$PKG install || exit 1
+# move man page to correct location
+mv $PKG/usr/share/man $PKG/usr/man
find $PKG/usr/man -type f -exec gzip -9 {} \;
for deadlink in $(find -type l ! -iname "*.gz"); do
@@ -78,7 +76,8 @@ for deadlink in $(find -type l ! -iname "*.gz"); do
rm $deadlink
done
-find $PKG -type f | xargs file | grep ELF | cut -f1 -d: | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README SENSE \
diff --git a/multimedia/tovid/tovid.info b/multimedia/tovid/tovid.info
index b6ea627279..d5e69052dd 100644
--- a/multimedia/tovid/tovid.info
+++ b/multimedia/tovid/tovid.info
@@ -1,10 +1,10 @@
PRGNAM="tovid"
-VERSION="0.31"
+VERSION="0.33"
HOMEPAGE="http://tovid.wikia.com/wiki/Tovid_Wiki/"
-DOWNLOAD="http://tovid.googlecode.com/files/tovid-0.31.tar.gz"
-MD5SUM="fc697e7d5aedae0ff427e7e2a1aa20e2"
+DOWNLOAD="http://tovid.googlecode.com/files/tovid-0.33.tar.gz"
+MD5SUM="078610cf7a5296d59bdd8c7cc88ffb77"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="eviljames"
-EMAIL="storgeek@gmail.com"
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
APPROVED="Erik Hanson"